using System;

namespace DesktopLib
{
	/// <summary>
	/// A WindowGrabException occurs during an attempted screenshot of a window region.
	/// </summary>
	public abstract class WindowGrabException : ApplicationException
	{

	}


	/// <summary>
	/// A WindowMinimizedException should be used when a screenshot of a minimized window is attempted.
	/// </summary>
	public class WindowMinimizedException : WindowGrabException
	{
		public WindowMinimizedException()
		{
		}

		public override string Message
		{
			get
			{
				return "The window is minimized.";
			}
		}
	}

	
	/// <summary>
	/// A WindowClosedException should be used when a screenshot of a closed window is attempted.
	/// </summary>
	public class WindowClosedException : WindowGrabException
	{
		public WindowClosedException()
		{
		}

		public override string Message
		{
			get
			{
				return "The window has been closed.";
			}
		}
	}
}
